fix_filename_slashes(3)

NAME
fix_filename_slashes - Converts all the directory separators to a standard character. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

char *fix_filename_slashes(char *path);

DESCRIPTION
Converts all the directory separators in the filename stored in `path' to a standard character. On DOS and Windows platforms, this is a backslash. On most other platforms this is a slash. Example:
   char buf[200] = "c:/dos\\backup/weirdo\\test";
   ...
   fix_filename_slashes(buf);
   /* Under DOS we would have c:\dos\backup\weirdo\test.
      Under Unix we would have c:/dos/backup/weirdo/test. */

RETURN VALUE
Returns a copy of the `path' parameter.

SEE ALSO
fix_filename_case(3), canonicalize_filename(3)